
.message-form {
    padding: 0.5rem;
    display: grid;
    grid-template: "message include" "message submit";
    grid-auto-columns: 2.2fr 0.8fr;
}
.message-form .message {
    grid-area: message;
    resize: none;
    background-color: darkgray;
    border: 3px solid #42414d;
    outline: none;
    border-radius: 0.5rem;
    padding: 0.75rem;
}

.message-form .include-moment {
    grid-area: include;
}

.message-form .include-moment input {
    opacity: 0;
    position: absolute;
}

.message-form .include-moment label {
    text-align: center;
    padding: 0 0.25rem 0.15rem;
    margin: 0.1rem 0.5rem 0.25rem;
    border-radius: 0.5rem;
    border: 3px solid #42414d;
    display: inline-block;
    font-size: 0.8rem;
    background-color: darkgray;
    color: black;
    cursor: pointer;
}
.message-form .include-moment input:checked + label {
    background-color: #42414d;
    border-color: darkgray;
    color: darkgray;
}

.message-form .submit-message {
    grid-area: submit;
    text-align: center;
    margin: 0.25rem 0.5rem 0.1rem;
    border-color: #42414d;
    background-color: darkgray;
    border-radius: 0.5rem;
    padding-bottom: 0.25rem;
    cursor: pointer;
}

.message-form .submit-message:active {
    background-color: #42414d;
    border-color: darkgray;
    color: darkgray;
}